package cn.com.ctop.kuaishou.modules.batch.service;

import com.alibaba.fastjson.JSONArray;

import java.util.List;
import java.util.Map;

public interface IKuaishouRealTimeDataService {
    JSONArray getCampaignDate(Long accountId, String token, Long campaignId, String startDate, String endDate);

    JSONArray getUnitDate(Long accountId, String token, Long unitId, String startDate, String endDate);

    JSONArray getUnitDatePage(Long accountId, List<Long> campaignIds, String token, String startDate, String endDate, Integer pageNum, Integer pageSize);
}
